<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Log;

class ClientDataResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {

        $data = [
            'id' => $this->id,
            'first_name' => $this->first_name,
            'last_name' => $this->last_name,
            'phone_number' => $this->phone_number,
            'birthdate' => $this->birthdate,
            'gender' => $this->gender,
            'profile_picture' => config('app.url') . $this->profile_picture,
        ];

        if ($this->bank_information_id) {
            $data['bank_information'] = $this->bankInformation;
        }

        return $data;
    }
}
