<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTechniciansTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('technicians', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->unsignedBigInteger('city_id');
            $table->foreign('city_id')->references('id')->on('cities')->onDelete('cascade');

            $table->unsignedBigInteger('proficiency_id');
            $table->foreign('proficiency_id')->references('id')->on('proficiencies')->onDelete('cascade');

            $table->unsignedBigInteger('bank_information_id')->nullable();
            $table->foreign('bank_information_id')->references('id')->on('bank_information')->onDelete('cascade');

            $table->string('first_name');
            $table->string('last_name');
            $table->string('phone_number')->unique();
            $table->string('birthdate')->nullable();
            $table->string('national_id')->unique()->nullable();
            $table->string('telephone')->unique()->nullable();
            $table->string('email')->unique()->nullable();
            $table->text('address')->nullable();
            $table->enum('gender', ['female', 'male'])->nullable();
            $table->string('profile_picture')->nullable();
            $table->string('national_card_picture')->nullable();
            $table->boolean('vip')->default(0);
            $table->boolean('verified')->default(0);

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('technicians');
    }
}
